CentOS 6:カーネル(CESA-2018:2164)(Spectre)

high Nessus プラグイン ID 111077
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのCentOSホストに1つ以上のセキュリティ更新プログラムがありません。

説明

カーネルの更新プログラムが、Red Hat Enterprise Linux 6で利用可能になりました。Red Hat製品セキュリティは、この更新がセキュリティに及ぼす影響を重要度高と評価しています。詳細な重要度評価を示すCVSS(共通脆弱性評価システム)ベーススコアは、「参照」セクションのCVEリンクから脆弱性ごとに入手できます。カーネルパッケージにはLinuxオペレーティングシステムのコアであるLinuxカーネルが含まれています。セキュリティ修正プログラム:* 多くの最新のマイクロプロセッサー設計に実装されている、ロード/ストア命令(広く使われるパフォーマンスの最適化)の投機的実行を実装する方法に、業界レベルの問題が発見されました。これは、権限コードに存在する正確に定義された命令シーケンスに加えて、最近のメモリ書き込みが発生したアドレスからのメモリ読み取りが古い値を参照し、続いて実際にはコミットしない(破棄される)投機的実行の命令に対してもマイクロプロセッサーのデータキャッシュへの更新が行われる可能性があるという事実に基づきます。その結果、権限のない攻撃者がこの欠陥を悪用して、標的にキャッシュサイドチャネル攻撃を実行し権限メモリを読み取る可能性があります。(CVE-2018-3639、x86 AMD)* カーネル:mm/mempolicy.c:do_get_mempolicy関数のメモリ解放後使用(use-after-free)の脆弱性により、ローカルのサービス拒否、またはその他の詳細不明な影響が発生する可能性があります(CVE-2018-10675)*カーネル:Lazy FPUの修復によるFPU状態情報の漏えい(CVE-2018-3665):* カーネル:DoSを引き起こす例外処理のエラー(CVE-2018-8897リグレッション)(CVE-2018-10872)影響、CVSSスコア、その他の関連情報を含むセキュリティの問題の詳細については、「参照」セクションに記載されているCVEのページを参照してください。Red HatはCVE-2018-3639を報告してくれたKen Johnson氏(Microsoft Security Response Center)とJann Horn氏(Google Project Zero)、CVE-2018-3665を報告してくれたJulian Stecklina氏(Amazon.de)、Thomas Prescher氏(cyberus-technology.de)、Zdenek Sojka氏(sysgo.com)に感謝の意を表します。バグ修正プログラム:* 以前は、32ビットと64ビットAMD、およびIntelアーキテクチャでのマイクロコードの更新は同期されませんでした。その結果、マイクロコードの更新プログラムを適用できませんでした。この修正プログラムによって、マイクロコード更新に対する同期が追加され、指定されたアーキテクチャのプロセッサーが同時に更新を受け取るようになります。その結果、現在マイクロコードの更新が同期されています。(BZ#1574592)

ソリューション

影響を受けるカーネルパッケージを更新してください。

関連情報

http://www.nessus.org/u?f45c71b2

プラグインの詳細

深刻度: High

ID: 111077

ファイル名: centos_RHSA-2018-2164.nasl

バージョン: 1.6

タイプ: local

エージェント: unix

公開日: 2018/7/16

更新日: 2019/12/31

依存関係: ssh_get_info.nasl

リスク情報

CVSS スコアのソース: CVE-2018-10675

VPR

リスクファクター: High

スコア: 7.2

CVSS v2

リスクファクター: High

Base Score: 7.2

Temporal Score: 5.6

ベクトル: AV:L/AC:L/Au:N/C:C/I:C/A:C

現状ベクトル: E:POC/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.8

Temporal Score: 7

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:centos:centos:kernel, p-cpe:/a:centos:centos:kernel-abi-whitelists, p-cpe:/a:centos:centos:kernel-debug, p-cpe:/a:centos:centos:kernel-debug-devel, p-cpe:/a:centos:centos:kernel-devel, p-cpe:/a:centos:centos:kernel-doc, p-cpe:/a:centos:centos:kernel-firmware, p-cpe:/a:centos:centos:kernel-headers, p-cpe:/a:centos:centos:perf, p-cpe:/a:centos:centos:python-perf, cpe:/o:centos:centos:6

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2018/7/13

脆弱性公開日: 2018/5/2

参照情報

CVE: CVE-2018-10675, CVE-2018-10872, CVE-2018-3639, CVE-2018-3665

RHSA: 2018:2164